Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.util.gui
Class DOMViewer.Panel.DOMTreeSelectionListener

    java.lang.Object
      org.apache.batik.util.gui.DOMViewer.Panel.DOMTreeSelectionListener

All Implemented Interfaces:
  java.util.EventListener, javax.swing.event.TreeSelectionListener

Enclosing class:
  DOMViewer.Panel

protected class DOMViewer.Panel.DOMTreeSelectionListener
extends java.lang.Object
implements javax.swing.event.TreeSelectionListener

To listen to the tree selection.

Constructor Summary
`protected` | `DOMViewer.Panel.DOMTreeSelectionListener()`

Method Summary
`protected java.lang.String` | `createDocumentText(org.w3c.dom.Document doc)`
`protected int` | `nodeCount(org.w3c.dom.Node node)`
`void` | `valueChanged(javax.swing.event.TreeSelectionEvent ev)` Called when the selection changes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DOMViewer.Panel.DOMTreeSelectionListener

    protected DOMViewer.Panel.DOMTreeSelectionListener()

Method Detail

### valueChanged

    public void valueChanged(javax.swing.event.TreeSelectionEvent ev)

  Called when the selection changes.

  Specified by:
    `valueChanged` in interface `javax.swing.event.TreeSelectionListener`

### createDocumentText

    protected java.lang.String createDocumentText(org.w3c.dom.Document doc)

### nodeCount

    protected int nodeCount(org.w3c.dom.Node node)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.